﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D09B3815-ED4A-4857-BA88-26655E34F041}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Altar</RootNamespace>
    <AssemblyName>altar</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup>
    <RunPostBuildEvent>OnOutputUpdated</RunPostBuildEvent>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CommandLine">
      <HintPath>..\References\CommandLine.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Recomp\Tokenizer.cs" />
    <Compile Include="_BinBuffer\BinBuffer.cs" />
    <Compile Include="_BinBuffer\BinBufferByteResource.cs" />
    <Compile Include="_BinBuffer\BinBufferNativeResource.cs" />
    <Compile Include="_BinBuffer\BinBufferResource.cs" />
    <Compile Include="_BinBuffer\BinBufferStreamResource.cs" />
    <Compile Include="_BinBuffer\Union.cs" />
    <Compile Include="Decomp\Decompiler.cs" />
    <Compile Include="Decomp\DecompTypes.cs" />
    <Compile Include="Repack\Deserialize.cs" />
    <Compile Include="Decomp\DisasmTypes.cs" />
    <Compile Include="Decomp\Disassembler.cs" />
    <Compile Include="DynamicJson.cs" />
    <Compile Include="GMFile.cs" />
    <Compile Include="GMFileContent.cs" />
    <Compile Include="Int24.cs" />
    <Compile Include="Options.cs" />
    <Compile Include="Recomp\Parser.cs" />
    <Compile Include="Recomp\ParserTypes.cs" />
    <Compile Include="Primitives.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="PackedStructs.cs" />
    <Compile Include="Unpack\SectionReader.cs" />
    <Compile Include="Repack\SectionWriter.cs" />
    <Compile Include="Unpack\Serialize.cs" />
    <Compile Include="SR.cs" />
    <Compile Include="Structs.cs" />
    <Compile Include="Recomp\TokenTypes.cs" />
    <Compile Include="Utils.cs" />
    <Compile Include="_LitJson\IJsonWrapper.cs" />
    <Compile Include="_LitJson\JsonData.cs" />
    <Compile Include="_LitJson\JsonException.cs" />
    <Compile Include="_LitJson\JsonMapper.cs" />
    <Compile Include="_LitJson\JsonMockWrapper.cs" />
    <Compile Include="_LitJson\JsonReader.cs" />
    <Compile Include="_LitJson\JsonWriter.cs" />
    <Compile Include="_LitJson\Lexer.cs" />
    <Compile Include="_LitJson\ParserToken.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Altar.NET.Util\Altar.NET.Util.csproj">
      <Project>{a5a66bee-a24b-40d7-8f72-bb3ac53a8e67}</Project>
      <Name>Altar.NET.Util</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent Condition="'$(OS)' != 'Unix'">
      cd "$(SolutionDir)ILRepack"
      md "$(SolutionDir)$(OutDir)"
      ilrepack /union /target:exe "/out:$(SolutionDir)$(OutDir)$(TargetFileName)" "$(TargetPath)" "$(TargetDir)Altar.NET.Util.dll" "$(TargetDir)CommandLine.dll"
    </PostBuildEvent>
    <PostBuildEvent Condition="'$(OS)' == 'Unix'">
      cd "$(SolutionDir)ILRepack"
      mkdir "$(SolutionDir)$(OutDir)"
      mono ilrepack /union /target:exe "/out:$(SolutionDir)$(OutDir)$(TargetFileName)" "$(TargetPath)" "$(TargetDir)Altar.NET.Util.dll" "$(TargetDir)CommandLine.dll"
    </PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>